source: squid-ssl/trunk/fuentes/helpers/basic_auth/PAM/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 41.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_pam_auth$(EXEEXT)
95subdir = helpers/basic_auth/PAM
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_pam_auth_OBJECTS = basic_pam_auth.$(OBJEXT)
165basic_pam_auth_OBJECTS = $(am_basic_pam_auth_OBJECTS)
166@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170basic_pam_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
171        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
172AM_V_lt = $(am__v_lt_@AM_V@)
173am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
174am__v_lt_0 = --silent
175am__v_lt_1 =
176AM_V_P = $(am__v_P_@AM_V@)
177am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_@AM_V@)
181am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 =
184AM_V_at = $(am__v_at_@AM_V@)
185am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
186am__v_at_0 = @
187am__v_at_1 =
188DEFAULT_INCLUDES =
189depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
190am__depfiles_maybe = depfiles
191am__mv = mv -f
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197        $(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_@AM_V@)
199am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 =
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
207am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 =
210SOURCES = $(basic_pam_auth_SOURCES)
211DIST_SOURCES = $(basic_pam_auth_SOURCES)
212am__can_run_installinfo = \
213  case $$AM_UPDATE_INFO_DIR in \
214    n|no|NO) false;; \
215    *) (install-info --version) >/dev/null 2>&1;; \
216  esac
217am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
218am__vpath_adj = case $$p in \
219    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
220    *) f=$$p;; \
221  esac;
222am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
223am__install_max = 40
224am__nobase_strip_setup = \
225  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
226am__nobase_strip = \
227  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
228am__nobase_list = $(am__nobase_strip_setup); \
229  for p in $$list; do echo "$$p $$p"; done | \
230  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
231  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
232    if (++n[$$2] == $(am__install_max)) \
233      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
234    END { for (dir in files) print dir, files[dir] }'
235am__base_list = \
236  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
237  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
238am__uninstall_files_from_dir = { \
239  test -z "$$files" \
240    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
241    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
242         $(am__cd) "$$dir" && rm -f $$files; }; \
243  }
244man8dir = $(mandir)/man8
245NROFF = nroff
246MANS = $(man_MANS)
247am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
248# Read a list of newline-separated strings from the standard input,
249# and print each of them once, without duplicates.  Input order is
250# *not* preserved.
251am__uniquify_input = $(AWK) '\
252  BEGIN { nonempty = 0; } \
253  { items[$$0] = 1; nonempty = 1; } \
254  END { if (nonempty) { for (i in items) print i; }; } \
255'
256# Make sure the list of sources is unique.  This is necessary because,
257# e.g., the same source file might be shared among _SOURCES variables
258# for different programs/libraries.
259am__define_uniq_tagged_files = \
260  list='$(am__tagged_files)'; \
261  unique=`for i in $$list; do \
262    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263  done | $(am__uniquify_input)`
264ETAGS = etags
265CTAGS = ctags
266am__tty_colors_dummy = \
267  mgn= red= grn= lgn= blu= brg= std=; \
268  am__color_tests=no
269am__tty_colors = { \
270  $(am__tty_colors_dummy); \
271  if test "X$(AM_COLOR_TESTS)" = Xno; then \
272    am__color_tests=no; \
273  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
274    am__color_tests=yes; \
275  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
276    am__color_tests=yes; \
277  fi; \
278  if test $$am__color_tests = yes; then \
279    red='[0;31m'; \
280    grn='[0;32m'; \
281    lgn='[1;32m'; \
282    blu='[1;34m'; \
283    mgn='[0;35m'; \
284    brg='[1m'; \
285    std='[m'; \
286  fi; \
287}
288am__recheck_rx = ^[     ]*:recheck:[    ]*
289am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
290am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
291# A command that, given a newline-separated list of test names on the
292# standard input, print the name of the tests that are to be re-run
293# upon "make recheck".
294am__list_recheck_tests = $(AWK) '{ \
295  recheck = 1; \
296  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
297    { \
298      if (rc < 0) \
299        { \
300          if ((getline line2 < ($$0 ".log")) < 0) \
301            recheck = 0; \
302          break; \
303        } \
304      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
305        { \
306          recheck = 0; \
307          break; \
308        } \
309      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
310        { \
311          break; \
312        } \
313    }; \
314  if (recheck) \
315    print $$0; \
316  close ($$0 ".trs"); \
317  close ($$0 ".log"); \
318}'
319# A command that, given a newline-separated list of test names on the
320# standard input, create the global log from their .trs and .log files.
321am__create_global_log = $(AWK) ' \
322function fatal(msg) \
323{ \
324  print "fatal: making $@: " msg | "cat >&2"; \
325  exit 1; \
326} \
327function rst_section(header) \
328{ \
329  print header; \
330  len = length(header); \
331  for (i = 1; i <= len; i = i + 1) \
332    printf "="; \
333  printf "\n\n"; \
334} \
335{ \
336  copy_in_global_log = 1; \
337  global_test_result = "RUN"; \
338  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
339    { \
340      if (rc < 0) \
341         fatal("failed to read from " $$0 ".trs"); \
342      if (line ~ /$(am__global_test_result_rx)/) \
343        { \
344          sub("$(am__global_test_result_rx)", "", line); \
345          sub("[        ]*$$", "", line); \
346          global_test_result = line; \
347        } \
348      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
349        copy_in_global_log = 0; \
350    }; \
351  if (copy_in_global_log) \
352    { \
353      rst_section(global_test_result ": " $$0); \
354      while ((rc = (getline line < ($$0 ".log"))) != 0) \
355      { \
356        if (rc < 0) \
357          fatal("failed to read from " $$0 ".log"); \
358        print line; \
359      }; \
360      printf "\n"; \
361    }; \
362  close ($$0 ".trs"); \
363  close ($$0 ".log"); \
364}'
365# Restructured Text title.
366am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
367# Solaris 10 'make', and several other traditional 'make' implementations,
368# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
369# by disabling -e (using the XSI extension "set +e") if it's set.
370am__sh_e_setup = case $$- in *e*) set +e;; esac
371# Default flags passed to test drivers.
372am__common_driver_flags = \
373  --color-tests "$$am__color_tests" \
374  --enable-hard-errors "$$am__enable_hard_errors" \
375  --expect-failure "$$am__expect_failure"
376# To be inserted before the command running the test.  Creates the
377# directory for the log if needed.  Stores in $dir the directory
378# containing $f, in $tst the test, in $log the log.  Executes the
379# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
380# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
381# will run the test scripts (or their associated LOG_COMPILER, if
382# thy have one).
383am__check_pre = \
384$(am__sh_e_setup);                                      \
385$(am__vpath_adj_setup) $(am__vpath_adj)                 \
386$(am__tty_colors);                                      \
387srcdir=$(srcdir); export srcdir;                        \
388case "$@" in                                            \
389  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
390    *) am__odir=.;;                                     \
391esac;                                                   \
392test "x$$am__odir" = x"." || test -d "$$am__odir"       \
393  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
394if test -f "./$$f"; then dir=./;                        \
395elif test -f "$$f"; then dir=;                          \
396else dir="$(srcdir)/"; fi;                              \
397tst=$$dir$$f; log='$@';                                 \
398if test -n '$(DISABLE_HARD_ERRORS)'; then               \
399  am__enable_hard_errors=no;                            \
400else                                                    \
401  am__enable_hard_errors=yes;                           \
402fi;                                                     \
403case " $(XFAIL_TESTS) " in                              \
404  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
405    am__expect_failure=yes;;                            \
406  *)                                                    \
407    am__expect_failure=no;;                             \
408esac;                                                   \
409$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
410# A shell command to get the names of the tests scripts with any registered
411# extension removed (i.e., equivalently, the names of the test logs, with
412# the '.log' extension removed).  The result is saved in the shell variable
413# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
414# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
415# since that might cause problem with VPATH rewrites for suffix-less tests.
416# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
417am__set_TESTS_bases = \
418  bases='$(TEST_LOGS)'; \
419  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
420  bases=`echo $$bases`
421RECHECK_LOGS = $(TEST_LOGS)
422AM_RECURSIVE_TARGETS = check recheck
423TEST_SUITE_LOG = test-suite.log
424TEST_EXTENSIONS = @EXEEXT@ .test
425am__test_logs1 = $(TESTS:=.log)
426am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
427TEST_LOGS = $(am__test_logs2:.test.log=.log)
428TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
429TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
430        $(TEST_LOG_FLAGS)
431am__set_b = \
432  case '$@' in \
433    */*) \
434      case '$*' in \
435        */*) b='$*';; \
436          *) b=`echo '$@' | sed 's/\.log$$//'`; \
437       esac;; \
438    *) \
439      b='$*';; \
440  esac
441am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
442        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
443DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
444ACLOCAL = @ACLOCAL@
445ADAPTATION_LIBS = @ADAPTATION_LIBS@
446ALLOCA = @ALLOCA@
447AMTAR = @AMTAR@
448AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
449AR = @AR@
450ARGZ_H = @ARGZ_H@
451AR_R = @AR_R@
452AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
453AUTH_MODULES = @AUTH_MODULES@
454AUTOCONF = @AUTOCONF@
455AUTOHEADER = @AUTOHEADER@
456AUTOMAKE = @AUTOMAKE@
457AWK = @AWK@
458BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
459BUILDCXX = @BUILDCXX@
460BUILDCXXFLAGS = @BUILDCXXFLAGS@
461BZR = @BZR@
462CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
463CC = @CC@
464CCDEPMODE = @CCDEPMODE@
465CFLAGS = @CFLAGS@
466CGIEXT = @CGIEXT@
467CHMOD = @CHMOD@
468CPP = @CPP@
469CPPFLAGS = @CPPFLAGS@
470CPPUNITCONFIG = @CPPUNITCONFIG@
471CRYPTLIB = @CRYPTLIB@
472CXX = @CXX@
473CXXCPP = @CXXCPP@
474CXXDEPMODE = @CXXDEPMODE@
475CXXFLAGS = @CXXFLAGS@
476CYGPATH_W = @CYGPATH_W@
477DEFAULT_HOSTS = @DEFAULT_HOSTS@
478DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
479DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
480DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
481DEFS = @DEFS@
482DEPDIR = @DEPDIR@
483DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
484DISK_LIBS = @DISK_LIBS@
485DISK_LINKOBJS = @DISK_LINKOBJS@
486DISK_MODULES = @DISK_MODULES@
487DISK_OS_LIBS = @DISK_OS_LIBS@
488DISK_PROGRAMS = @DISK_PROGRAMS@
489DLLTOOL = @DLLTOOL@
490DSYMUTIL = @DSYMUTIL@
491DUMPBIN = @DUMPBIN@
492ECAP_LIBS = @ECAP_LIBS@
493ECHO_C = @ECHO_C@
494ECHO_N = @ECHO_N@
495ECHO_T = @ECHO_T@
496EGREP = @EGREP@
497EPOLL_LIBS = @EPOLL_LIBS@
498EUILIB = @EUILIB@
499EXEEXT = @EXEEXT@
500EXPATLIB = @EXPATLIB@
501EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
502EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
503EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
504FALSE = @FALSE@
505FGREP = @FGREP@
506GREP = @GREP@
507HAVE_CXX11 = @HAVE_CXX11@
508ICAP_LIBS = @ICAP_LIBS@
509INCLTDL = @INCLTDL@
510INSTALL = @INSTALL@
511INSTALL_DATA = @INSTALL_DATA@
512INSTALL_PROGRAM = @INSTALL_PROGRAM@
513INSTALL_SCRIPT = @INSTALL_SCRIPT@
514INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
515KRB5INCS = @KRB5INCS@
516KRB5LIBS = @KRB5LIBS@
517LBERLIB = @LBERLIB@
518LD = @LD@
519LDAPLIB = @LDAPLIB@
520LDFLAGS = @LDFLAGS@
521LIBADD_DL = @LIBADD_DL@
522LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
523LIBADD_DLOPEN = @LIBADD_DLOPEN@
524LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
525LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
526LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
527LIBLTDL = @LIBLTDL@
528LIBOBJS = @LIBOBJS@
529LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
530LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
531LIBS = @LIBS@
532LIBSASL = @LIBSASL@
533LIBTOOL = @LIBTOOL@
534LIB_DB = @LIB_DB@
535LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
536LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
537LINUXDOC = @LINUXDOC@
538LIPO = @LIPO@
539LN = @LN@
540LN_S = @LN_S@
541LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
542LTDLDEPS = @LTDLDEPS@
543LTDLINCL = @LTDLINCL@
544LTDLOPEN = @LTDLOPEN@
545LTLIBOBJS = @LTLIBOBJS@
546LT_CONFIG_H = @LT_CONFIG_H@
547LT_DLLOADERS = @LT_DLLOADERS@
548LT_DLPREOPEN = @LT_DLPREOPEN@
549MAINT = @MAINT@
550MAKEINFO = @MAKEINFO@
551MANIFEST_TOOL = @MANIFEST_TOOL@
552MINGW_LIBS = @MINGW_LIBS@
553MKDIR = @MKDIR@
554MKDIR_P = @MKDIR_P@
555MV = @MV@
556NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
557NETTLELIB = @NETTLELIB@
558NM = @NM@
559NMEDIT = @NMEDIT@
560NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
561OBJDUMP = @OBJDUMP@
562OBJEXT = @OBJEXT@
563OTOOL = @OTOOL@
564OTOOL64 = @OTOOL64@
565PACKAGE = @PACKAGE@
566PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
567PACKAGE_NAME = @PACKAGE_NAME@
568PACKAGE_STRING = @PACKAGE_STRING@
569PACKAGE_TARNAME = @PACKAGE_TARNAME@
570PACKAGE_URL = @PACKAGE_URL@
571PACKAGE_VERSION = @PACKAGE_VERSION@
572PATH_SEPARATOR = @PATH_SEPARATOR@
573PERL = @PERL@
574PKG_CONFIG = @PKG_CONFIG@
575PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
576PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
577PO2HTML = @PO2HTML@
578PO2TEXT = @PO2TEXT@
579POD2MAN = @POD2MAN@
580RANLIB = @RANLIB@
581REGEXLIB = @REGEXLIB@
582REPL_LIBS = @REPL_LIBS@
583REPL_OBJS = @REPL_OBJS@
584REPL_POLICIES = @REPL_POLICIES@
585RM = @RM@
586SED = @SED@
587SET_MAKE = @SET_MAKE@
588SH = @SH@
589SHELL = @SHELL@
590SMBCLIENT = @SMBCLIENT@
591SNMPLIB = @SNMPLIB@
592SQUID_CFLAGS = @SQUID_CFLAGS@
593SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
594SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
595SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
596SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
597SSLLIB = @SSLLIB@
598STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
599STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
600STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
601STORE_TESTS = @STORE_TESTS@
602STRIP = @STRIP@
603TR = @TR@
604TRUE = @TRUE@
605URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
606VERSION = @VERSION@
607WBINFO = @WBINFO@
608WIN32_PSAPI = @WIN32_PSAPI@
609XMLLIB = @XMLLIB@
610XTRA_LIBS = @XTRA_LIBS@
611XTRA_OBJS = @XTRA_OBJS@
612abs_builddir = @abs_builddir@
613abs_srcdir = @abs_srcdir@
614abs_top_builddir = @abs_top_builddir@
615abs_top_srcdir = @abs_top_srcdir@
616ac_ct_AR = @ac_ct_AR@
617ac_ct_CC = @ac_ct_CC@
618ac_ct_CXX = @ac_ct_CXX@
619ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
620am__include = @am__include@
621am__leading_dot = @am__leading_dot@
622am__quote = @am__quote@
623am__tar = @am__tar@
624am__untar = @am__untar@
625bindir = @bindir@
626build = @build@
627build_alias = @build_alias@
628build_cpu = @build_cpu@
629build_os = @build_os@
630build_vendor = @build_vendor@
631builddir = @builddir@
632datadir = @datadir@
633datarootdir = @datarootdir@
634docdir = @docdir@
635dvidir = @dvidir@
636exec_prefix = @exec_prefix@
637host = @host@
638host_alias = @host_alias@
639host_cpu = @host_cpu@
640host_os = @host_os@
641host_vendor = @host_vendor@
642htmldir = @htmldir@
643includedir = @includedir@
644infodir = @infodir@
645install_sh = @install_sh@
646krb5_config = @krb5_config@
647libdir = @libdir@
648libexecdir = @libexecdir@
649localedir = @localedir@
650localstatedir = @localstatedir@
651ltdl_LIBOBJS = @ltdl_LIBOBJS@
652ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
653mandir = @mandir@
654mkdir_p = @mkdir_p@
655oldincludedir = @oldincludedir@
656pdfdir = @pdfdir@
657prefix = @prefix@
658program_transform_name = @program_transform_name@
659psdir = @psdir@
660runstatedir = @runstatedir@
661sbindir = @sbindir@
662sharedstatedir = @sharedstatedir@
663srcdir = @srcdir@
664subdirs = @subdirs@
665sys_symbol_underscore = @sys_symbol_underscore@
666sysconfdir = @sysconfdir@
667target_alias = @target_alias@
668top_build_prefix = @top_build_prefix@
669top_builddir = @top_builddir@
670top_srcdir = @top_srcdir@
671AM_CFLAGS = $(SQUID_CFLAGS)
672AM_CXXFLAGS = $(SQUID_CXXFLAGS)
673CLEANFILES =
674AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
675        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
676        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
677        $(am__append_1)
678@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
679@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
680COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
681subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
682man_MANS = basic_pam_auth.8
683EXTRA_DIST = basic_pam_auth.8 required.m4
684basic_pam_auth_SOURCES = basic_pam_auth.cc
685basic_pam_auth_LDADD = \
686        $(top_builddir)/lib/libmiscencoding.la \
687        $(COMPAT_LIB) \
688        -lpam \
689        $(XTRA_LIBS)
690
691all: all-am
692
693.SUFFIXES:
694.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
695$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
696        @for dep in $?; do \
697          case '$(am__configure_deps)' in \
698            *$$dep*) \
699              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
700                && { if test -f $@; then exit 0; else break; fi; }; \
701              exit 1;; \
702          esac; \
703        done; \
704        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/PAM/Makefile'; \
705        $(am__cd) $(top_srcdir) && \
706          $(AUTOMAKE) --foreign helpers/basic_auth/PAM/Makefile
707Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
708        @case '$?' in \
709          *config.status*) \
710            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
711          *) \
712            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
713            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
714        esac;
715$(top_srcdir)/src/Common.am $(am__empty):
716
717$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719
720$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
721        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
722$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724$(am__aclocal_m4_deps):
725
726clean-checkPROGRAMS:
727        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
728        echo " rm -f" $$list; \
729        rm -f $$list || exit $$?; \
730        test -n "$(EXEEXT)" || exit 0; \
731        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
732        echo " rm -f" $$list; \
733        rm -f $$list
734install-libexecPROGRAMS: $(libexec_PROGRAMS)
735        @$(NORMAL_INSTALL)
736        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
737        if test -n "$$list"; then \
738          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
739          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
740        fi; \
741        for p in $$list; do echo "$$p $$p"; done | \
742        sed 's/$(EXEEXT)$$//' | \
743        while read p p1; do if test -f $$p \
744         || test -f $$p1 \
745          ; then echo "$$p"; echo "$$p"; else :; fi; \
746        done | \
747        sed -e 'p;s,.*/,,;n;h' \
748            -e 's|.*|.|' \
749            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
750        sed 'N;N;N;s,\n, ,g' | \
751        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
752          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
753            if ($$2 == $$4) files[d] = files[d] " " $$1; \
754            else { print "f", $$3 "/" $$4, $$1; } } \
755          END { for (d in files) print "f", d, files[d] }' | \
756        while read type dir files; do \
757            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
758            test -z "$$files" || { \
759            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
760            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
761            } \
762        ; done
763
764uninstall-libexecPROGRAMS:
765        @$(NORMAL_UNINSTALL)
766        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
767        files=`for p in $$list; do echo "$$p"; done | \
768          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
769              -e 's/$$/$(EXEEXT)/' \
770        `; \
771        test -n "$$list" || exit 0; \
772        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
773        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
774
775clean-libexecPROGRAMS:
776        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
777        echo " rm -f" $$list; \
778        rm -f $$list || exit $$?; \
779        test -n "$(EXEEXT)" || exit 0; \
780        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
781        echo " rm -f" $$list; \
782        rm -f $$list
783
784basic_pam_auth$(EXEEXT): $(basic_pam_auth_OBJECTS) $(basic_pam_auth_DEPENDENCIES) $(EXTRA_basic_pam_auth_DEPENDENCIES)
785        @rm -f basic_pam_auth$(EXEEXT)
786        $(AM_V_CXXLD)$(CXXLINK) $(basic_pam_auth_OBJECTS) $(basic_pam_auth_LDADD) $(LIBS)
787
788mostlyclean-compile:
789        -rm -f *.$(OBJEXT)
790
791distclean-compile:
792        -rm -f *.tab.c
793
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_pam_auth.Po@am__quote@
795
796.cc.o:
797@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
798@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
799@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
800@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
801@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
803
804.cc.obj:
805@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
806@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
807@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
808@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
809@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
811
812.cc.lo:
813@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
814@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
815@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
816@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
817@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
819
820mostlyclean-libtool:
821        -rm -f *.lo
822
823clean-libtool:
824        -rm -rf .libs _libs
825install-man8: $(man_MANS)
826        @$(NORMAL_INSTALL)
827        @list1=''; \
828        list2='$(man_MANS)'; \
829        test -n "$(man8dir)" \
830          && test -n "`echo $$list1$$list2`" \
831          || exit 0; \
832        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
833        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
834        { for i in $$list1; do echo "$$i"; done;  \
835        if test -n "$$list2"; then \
836          for i in $$list2; do echo "$$i"; done \
837            | sed -n '/\.8[a-z]*$$/p'; \
838        fi; \
839        } | while read p; do \
840          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
841          echo "$$d$$p"; echo "$$p"; \
842        done | \
843        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
844              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
845        sed 'N;N;s,\n, ,g' | { \
846        list=; while read file base inst; do \
847          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
848            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
849            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
850          fi; \
851        done; \
852        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
853        while read files; do \
854          test -z "$$files" || { \
855            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
856            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
857        done; }
858
859uninstall-man8:
860        @$(NORMAL_UNINSTALL)
861        @list=''; test -n "$(man8dir)" || exit 0; \
862        files=`{ for i in $$list; do echo "$$i"; done; \
863        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
864          sed -n '/\.8[a-z]*$$/p'; \
865        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
866              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
867        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
868
869ID: $(am__tagged_files)
870        $(am__define_uniq_tagged_files); mkid -fID $$unique
871tags: tags-am
872TAGS: tags
873
874tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
875        set x; \
876        here=`pwd`; \
877        $(am__define_uniq_tagged_files); \
878        shift; \
879        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
880          test -n "$$unique" || unique=$$empty_fix; \
881          if test $$# -gt 0; then \
882            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
883              "$$@" $$unique; \
884          else \
885            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
886              $$unique; \
887          fi; \
888        fi
889ctags: ctags-am
890
891CTAGS: ctags
892ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
893        $(am__define_uniq_tagged_files); \
894        test -z "$(CTAGS_ARGS)$$unique" \
895          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
896             $$unique
897
898GTAGS:
899        here=`$(am__cd) $(top_builddir) && pwd` \
900          && $(am__cd) $(top_srcdir) \
901          && gtags -i $(GTAGS_ARGS) "$$here"
902cscopelist: cscopelist-am
903
904cscopelist-am: $(am__tagged_files)
905        list='$(am__tagged_files)'; \
906        case "$(srcdir)" in \
907          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
908          *) sdir=$(subdir)/$(srcdir) ;; \
909        esac; \
910        for i in $$list; do \
911          if test -f "$$i"; then \
912            echo "$(subdir)/$$i"; \
913          else \
914            echo "$$sdir/$$i"; \
915          fi; \
916        done >> $(top_builddir)/cscope.files
917
918distclean-tags:
919        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
920
921# Recover from deleted '.trs' file; this should ensure that
922# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
923# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
924# to avoid problems with "make -n".
925.log.trs:
926        rm -f $< $@
927        $(MAKE) $(AM_MAKEFLAGS) $<
928
929# Leading 'am--fnord' is there to ensure the list of targets does not
930# expand to empty, as could happen e.g. with make check TESTS=''.
931am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
932am--force-recheck:
933        @:
934
935$(TEST_SUITE_LOG): $(TEST_LOGS)
936        @$(am__set_TESTS_bases); \
937        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
938        redo_bases=`for i in $$bases; do \
939                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
940                    done`; \
941        if test -n "$$redo_bases"; then \
942          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
943          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
944          if $(am__make_dryrun); then :; else \
945            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
946          fi; \
947        fi; \
948        if test -n "$$am__remaking_logs"; then \
949          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
950               "recursion detected" >&2; \
951        elif test -n "$$redo_logs"; then \
952          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
953        fi; \
954        if $(am__make_dryrun); then :; else \
955          st=0;  \
956          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
957          for i in $$redo_bases; do \
958            test -f $$i.trs && test -r $$i.trs \
959              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
960            test -f $$i.log && test -r $$i.log \
961              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
962          done; \
963          test $$st -eq 0 || exit 1; \
964        fi
965        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
966        ws='[   ]'; \
967        results=`for b in $$bases; do echo $$b.trs; done`; \
968        test -n "$$results" || results=/dev/null; \
969        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
970        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
971        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
972        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
973        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
974        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
975        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
976        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
977          success=true; \
978        else \
979          success=false; \
980        fi; \
981        br='==================='; br=$$br$$br$$br$$br; \
982        result_count () \
983        { \
984            if test x"$$1" = x"--maybe-color"; then \
985              maybe_colorize=yes; \
986            elif test x"$$1" = x"--no-color"; then \
987              maybe_colorize=no; \
988            else \
989              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
990            fi; \
991            shift; \
992            desc=$$1 count=$$2; \
993            if test $$maybe_colorize = yes && test $$count -gt 0; then \
994              color_start=$$3 color_end=$$std; \
995            else \
996              color_start= color_end=; \
997            fi; \
998            echo "$${color_start}# $$desc $$count$${color_end}"; \
999        }; \
1000        create_testsuite_report () \
1001        { \
1002          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1003          result_count $$1 "PASS: " $$pass  "$$grn"; \
1004          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1005          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1006          result_count $$1 "FAIL: " $$fail  "$$red"; \
1007          result_count $$1 "XPASS:" $$xpass "$$red"; \
1008          result_count $$1 "ERROR:" $$error "$$mgn"; \
1009        }; \
1010        {                                                               \
1011          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1012            $(am__rst_title);                                           \
1013          create_testsuite_report --no-color;                           \
1014          echo;                                                         \
1015          echo ".. contents:: :depth: 2";                               \
1016          echo;                                                         \
1017          for b in $$bases; do echo $$b; done                           \
1018            | $(am__create_global_log);                                 \
1019        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1020        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1021        if $$success; then                                              \
1022          col="$$grn";                                                  \
1023         else                                                           \
1024          col="$$red";                                                  \
1025          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1026        fi;                                                             \
1027        echo "$${col}$$br$${std}";                                      \
1028        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1029        echo "$${col}$$br$${std}";                                      \
1030        create_testsuite_report --maybe-color;                          \
1031        echo "$$col$$br$$std";                                          \
1032        if $$success; then :; else                                      \
1033          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1034          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1035            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1036          fi;                                                           \
1037          echo "$$col$$br$$std";                                        \
1038        fi;                                                             \
1039        $$success || exit 1
1040
1041check-TESTS:
1042        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1043        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1044        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1045        @set +e; $(am__set_TESTS_bases); \
1046        log_list=`for i in $$bases; do echo $$i.log; done`; \
1047        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1048        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1049        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1050        exit $$?;
1051recheck: all $(check_PROGRAMS)
1052        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1053        @set +e; $(am__set_TESTS_bases); \
1054        bases=`for i in $$bases; do echo $$i; done \
1055                 | $(am__list_recheck_tests)` || exit 1; \
1056        log_list=`for i in $$bases; do echo $$i.log; done`; \
1057        log_list=`echo $$log_list`; \
1058        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1059                am__force_recheck=am--force-recheck \
1060                TEST_LOGS="$$log_list"; \
1061        exit $$?
1062.test.log:
1063        @p='$<'; \
1064        $(am__set_b); \
1065        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1066        --log-file $$b.log --trs-file $$b.trs \
1067        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1068        "$$tst" $(AM_TESTS_FD_REDIRECT)
1069@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1070@am__EXEEXT_TRUE@       @p='$<'; \
1071@am__EXEEXT_TRUE@       $(am__set_b); \
1072@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1073@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1074@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1075@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1076
1077distdir: $(DISTFILES)
1078        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1079        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1080        list='$(DISTFILES)'; \
1081          dist_files=`for file in $$list; do echo $$file; done | \
1082          sed -e "s|^$$srcdirstrip/||;t" \
1083              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1084        case $$dist_files in \
1085          */*) $(MKDIR_P) `echo "$$dist_files" | \
1086                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1087                           sort -u` ;; \
1088        esac; \
1089        for file in $$dist_files; do \
1090          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1091          if test -d $$d/$$file; then \
1092            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1093            if test -d "$(distdir)/$$file"; then \
1094              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1095            fi; \
1096            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1097              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1098              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1099            fi; \
1100            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1101          else \
1102            test -f "$(distdir)/$$file" \
1103            || cp -p $$d/$$file "$(distdir)/$$file" \
1104            || exit 1; \
1105          fi; \
1106        done
1107check-am: all-am
1108        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1109        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1110check: check-am
1111all-am: Makefile $(PROGRAMS) $(MANS)
1112installdirs:
1113        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1114          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1115        done
1116install: install-am
1117install-exec: install-exec-am
1118install-data: install-data-am
1119uninstall: uninstall-am
1120
1121install-am: all-am
1122        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1123
1124installcheck: installcheck-am
1125install-strip:
1126        if test -z '$(STRIP)'; then \
1127          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1128            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1129              install; \
1130        else \
1131          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1132            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1133            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1134        fi
1135mostlyclean-generic:
1136        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1137        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1138        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1139
1140clean-generic:
1141        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1142
1143distclean-generic:
1144        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1145        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1146
1147maintainer-clean-generic:
1148        @echo "This command is intended for maintainers to use"
1149        @echo "it deletes files that may require special tools to rebuild."
1150clean: clean-am
1151
1152clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1153        clean-libtool mostlyclean-am
1154
1155distclean: distclean-am
1156        -rm -rf ./$(DEPDIR)
1157        -rm -f Makefile
1158distclean-am: clean-am distclean-compile distclean-generic \
1159        distclean-tags
1160
1161dvi: dvi-am
1162
1163dvi-am:
1164
1165html: html-am
1166
1167html-am:
1168
1169info: info-am
1170
1171info-am:
1172
1173install-data-am: install-man
1174
1175install-dvi: install-dvi-am
1176
1177install-dvi-am:
1178
1179install-exec-am: install-libexecPROGRAMS
1180
1181install-html: install-html-am
1182
1183install-html-am:
1184
1185install-info: install-info-am
1186
1187install-info-am:
1188
1189install-man: install-man8
1190
1191install-pdf: install-pdf-am
1192
1193install-pdf-am:
1194
1195install-ps: install-ps-am
1196
1197install-ps-am:
1198
1199installcheck-am:
1200
1201maintainer-clean: maintainer-clean-am
1202        -rm -rf ./$(DEPDIR)
1203        -rm -f Makefile
1204maintainer-clean-am: distclean-am maintainer-clean-generic
1205
1206mostlyclean: mostlyclean-am
1207
1208mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1209        mostlyclean-libtool
1210
1211pdf: pdf-am
1212
1213pdf-am:
1214
1215ps: ps-am
1216
1217ps-am:
1218
1219uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1220
1221uninstall-man: uninstall-man8
1222
1223.MAKE: check-am install-am install-strip
1224
1225.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1226        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1227        clean-libtool cscopelist-am ctags ctags-am distclean \
1228        distclean-compile distclean-generic distclean-libtool \
1229        distclean-tags distdir dvi dvi-am html html-am info info-am \
1230        install install-am install-data install-data-am install-dvi \
1231        install-dvi-am install-exec install-exec-am install-html \
1232        install-html-am install-info install-info-am \
1233        install-libexecPROGRAMS install-man install-man8 install-pdf \
1234        install-pdf-am install-ps install-ps-am install-strip \
1235        installcheck installcheck-am installdirs maintainer-clean \
1236        maintainer-clean-generic mostlyclean mostlyclean-compile \
1237        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1238        recheck tags tags-am uninstall uninstall-am \
1239        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1240
1241.PRECIOUS: Makefile
1242
1243
1244$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1245
1246# Tell versions [3.59,3.63) of GNU make to not export all variables.
1247# Otherwise a system limit (for SysV at least) may be exceeded.
1248.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.